Bug 592069 - network service doesn't start with Xen, Bonding, and VLAN
network service doesn't start with Xen, Bonding, and VLAN
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks: 514499
  Show dependency treegraph
 
Reported: 2010-05-13 15:20 EDT by Joel Koon
Modified: 2014-02-02 17:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 12:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (1.58 MB, application/octet-stream)
2010-05-13 15:20 EDT, Joel Koon
no flags Details

  None (edit)
Description Joel Koon 2010-05-13 15:20:57 EDT
Created attachment 413877 [details]
sosreport

Description of problem:

Submitting Bugzilla on behalf of customer as he describes his issue:
/etc/init.d/network  (which is invoked with service network restart) has no knowledge of Xen networking (maybe by design). When you boot the box, the network starts first, then Xen starts and runs its network configuration, which messes with the devices in a way that the network script doesn't know or understand. Here is the work around to restart the networking on a xen host:

# /etc/xen/scripts/network-target-xen stop 
# service network restart 
# /etc/xen/scripts/network-target-xen start

So bottom line is that /etc/init.d/network should by default handle the changes xen does to the networking or when you enable/install xen, that script should be replaced with one that does. I would recommend for you to take a look at this and submit a BugZilla report to Red Hat to correct this.

Version-Release number of selected component (if applicable):
RHEL 5.4
kernel-xen-2.6.18-164.11.1.el5-x86_64
xen-3.0.3-94.el5_4.3-x86_64
xen-libs-3.0.3-94.el5_4.3-x86_64

Configuration files:
/etc/modprobe.conf
alias eth0 bnx2
alias eth1 bnx2
alias eth2 bnx2
alias eth3 bnx2
alias eth4 bnx2
alias eth5 bnx2
alias scsi_hostadapter megaraid_sas
alias scsi_hostadapter1 ata_piix
alias scsi_hostadapter2 qla2xxx
alias scsi_hostadapter3 usb-storage
alias bond0 bonding

/etc/xen/xend-config.sxp (only showing uncommented lines)
(xend-unix-path /var/lib/xend/xend-socket)
(xend-relocation-hosts-allow '^localhost$ ^localhost\\.localdomain$')
(network-script 'network-bridge netdev=bond0')
(vif-script vif-bridge)
(dom0-min-mem 256)
(dom0-cpus 1)
(enable-dump yes)
(vncpasswd '')

/etc/sysconfig/network-scripts/ifcfg-bond0
DEVICE=bond0
ONBOOT=yes
NETMASK=255.255.254.0
IPADDR=172.17.158.42
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes
BONDING_OPTS="mode=1 miimon=100 primary=eth0"

/etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
ONBOOT=yes
SLAVE=yes
MASTER=bond0

/etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
ONBOOT=yes
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes
VLAN=yes

/etc/sysconfig/network-scripts/ifcfg-eth1.130
DEVICE=eth1.130
PHYSDEV=eth1
ONBOOT=yes
TYPE=Ethernet
VLAN=yes
BRIDGE=xenbr130

/etc/sysconfig/network-scripts/ifcfg-eth1.137
DEVICE=eth1.137
PHYSDEV=eth1
ONBOOT=yes
TYPE=Ethernet
VLAN=yes
BRIDGE=xenbr137

/etc/sysconfig/network-scripts/ifcfg-eth1.138
DEVICE=eth1.138
PHYSDEV=eth1
ONBOOT=yes
TYPE=Ethernet
VLAN=yes
BRIDGE=xenbr138

/etc/sysconfig/network-scripts/ifcfg-eth1.148
DEVICE=eth1.148
PHYSDEV=eth1
ONBOOT=yes
TYPE=Ethernet
VLAN=yes
BRIDGE=xenbr148

/etc/sysconfig/network-scripts/ifcfg-eth2
DEVICE=eth2
ONBOOT=yes
SLAVE=yes
MASTER=bond0

/etc/sysconfig/network-scripts/ifcfg-eth3
# Broadcom Corporation NetXtreme II BCM5709 Gigabit Ethernet
DEVICE=eth3
HWADDR=00:26:B9:56:DD:AC
ONBOOT=no

/etc/sysconfig/network-scripts/ifcfg-eth4
DEVICE=eth4
ONBOOT=yes
NETMASK=255.255.254.0
IPADDR=0.0.0.0
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
PEERDNS=yes

/etc/sysconfig/network-scripts/ifcfg-eth5
# Broadcom Corporation NetXtreme II BCM5709 Gigabit Ethernet
DEVICE=eth5
HWADDR=00:10:18:64:0E:1A
ONBOOT=no

/etc/sysconfig/network-scripts/ifcfg-xenbr130
DEVICE=xenbr130
TYPE=Bridge
#STP=on
ONBOOT=yes
BOOTPROTO=none

/etc/sysconfig/network-scripts/ifcfg-xenbr137
DEVICE=xenbr137
TYPE=Bridge
#STP=on
ONBOOT=yes
BOOTPROTO=none

/etc/sysconfig/network-scripts/ifcfg-xenbr138
DEVICE=xenbr138
TYPE=Bridge
#STP=on
ONBOOT=yes
BOOTPROTO=none

/etc/sysconfig/network-scripts/ifcfg-xenbr148
DEVICE=xenbr148
TYPE=Bridge
#STP=on
ONBOOT=yes
BOOTPROTO=none

Additional information: 
sosreport attached
Comment 3 Miroslav Rezanina 2010-05-14 11:26:15 EDT
There's a special script for bonding configuration - network-bridge-bonding. Can customer test this script if it is helping him?

More info regarding using xen and bonding is in kbase -

http://kbase.redhat.com/faq/docs/DOC-29713
http://kbase.redhat.com/faq/docs/DOC-28090

Please check this too.
Comment 4 Joel Koon 2010-09-23 12:24:21 EDT
This bugzilla was created on behalf of a customer. They were supposed to monitor it for recommendations. Shortly after creating the bugzilla they closed the ticket and there has been no further communication from them.

Note You need to log in before you can comment on or make changes to this bug.